GCLOUD_COMPUTE_INSTANCES_REMOVE-METADATA(1)

NAME

gcloud compute instances remove-metadata - remove instance metadata

SYNOPSIS

gcloud compute instances remove-metadata INSTANCE_NAME [--zone=ZONE] [--all | --keys=KEY,[KEY,...]] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute instances remove-metadata can be used to remove instance metadata entries.

POSITIONAL ARGUMENTS

    INSTANCE_NAME
        The name of the instance to set metadata on.

FLAGS

    --zone=ZONE
        The zone of the instance to set metadata on. If not specified, you may be prompted to select a zone. gcloud will attempt to identify the zone by searching for resources in your project. If the zone cannot be determined, you will then be prompted with all Google Cloud Platform zones. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

At most one of these may be specified:

    --all
        If provided, all metadata entries are removed.

    --keys=KEY,[KEY,...]
        The keys of the entries to remove.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.